OpenNMS API 1.2.9

## org.opennms.netmgt
Class RegularExpressionConstants

    java.lang.Object
      org.opennms.netmgt.RegularExpressionConstants

public class RegularExpressionConstants
extends java.lang.Object

This class holds all OpenNMS regular expression related constants.

Version:
  1.2
Author:
  OpenNMS

Field Summary
`static java.lang.String` `INTERFACE_ADDRESS` A regular expression for matching interface addresses.

Constructor Summary
`RegularExpressionConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERFACE_ADDRESS

    public static final java.lang.String INTERFACE_ADDRESS

  A regular expression for matching interface addresses. Will strictly match 0-255 in all octets

  See Also:
    Constant Field Values

Constructor Detail

### RegularExpressionConstants

    public RegularExpressionConstants()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.